Package com.collibra.dgc.core.api.dto.instance.responsibility

# Class FindResponsibilitiesRequest

Object
PagedRequest
FindResponsibilitiesRequest

All Implemented Interfaces:
  `Serializable`

public class FindResponsibilitiesRequest extends PagedRequest
The search criteria for responsibilities.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned responsibilities satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 responsibilities is returned

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `FindResponsibilitiesRequest.Builder`
  `static enum`
  `FindResponsibilitiesRequest.SortField`
  `static enum`
  `FindResponsibilitiesRequest.TypeMatchMode`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindResponsibilitiesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindResponsibilitiesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getOwnerIds()`
  The list of IDs of the owners for which the responsibilities should be found.
  `List<UUID>`
  `getResourceIds()`
  The list of IDs of the resources for which the responsibilities should be found.
  `List<UUID>`
  `getRoleIds()`
  The list of IDs of the roles for which the responsibilities should be found.
  `FindResponsibilitiesRequest.SortField`
  `getSortField()`
  The field that should be used as reference for sorting.
  `SortOrder`
  `getSortOrder()`
  The order of sorting.
  `FindResponsibilitiesRequest.TypeMatchMode`
  `getType()`
  Indicates which type of responsibilities should be searched for.
  `int`
  `hashCode()`
  `boolean`
  `isExcludeEmptyGroups()`
  Whether responsibilities that are only assigned to empty groups should be excluded.
  `boolean`
  `isGlobalOnly()`
  Deprecated.
  `boolean`
  `isIncludeInherited()`
  Whether inherited responsibilities should be included in the search results.
  `void`
  `setExcludeEmptyGroups(boolean excludeEmptyGroups)`
  Whether responsibilities that are only assigned to empty groups should be excluded.
  `void`
  `setGlobalOnly(boolean globalOnly)`
  Deprecated.
  `void`
  `setIncludeInherited(boolean includeInherited)`
  Whether inherited responsibilities should be included in the search results.
  `void`
  `setOwnerIds(List<UUID> ownerIds)`
  The list of IDs of the owners for which the responsibilities should be found.
  `void`
  `setResourceIds(List<UUID> resourceIds)`
  The list of IDs of the resources for which the responsibilities should be found.
  `void`
  `setRoleIds(List<UUID> roleIds)`
  The list of IDs of the roles for which the responsibilities should be found.
  `void`
  `setSortField(FindResponsibilitiesRequest.SortField sortField)`
  The field that should be used as reference for sorting.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The order of sorting.
  `void`
  `setType(FindResponsibilitiesRequest.TypeMatchMode type)`
  Indicates which type of responsibilities should be searched for.
  `String`
  `toString()`

  ### Methods inherited from class PagedRequest

  `getCountLimit, getLimit, getOffset, isPagingActive, setCountLimit, setLimit, setOffset`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindResponsibilitiesRequest

    public FindResponsibilitiesRequest()

- ## Method Details

  - ### builder

    public static FindResponsibilitiesRequest.Builder builder()

  - ### getResourceIds

    public List<UUID> getResourceIds()
    The list of IDs of the resources for which the responsibilities should be found.

  - ### getOwnerIds

    public List<UUID> getOwnerIds()
    The list of IDs of the owners for which the responsibilities should be found.

  - ### getRoleIds

    public List<UUID> getRoleIds()
    The list of IDs of the roles for which the responsibilities should be found.

  - ### isIncludeInherited

    public boolean isIncludeInherited()
    Whether inherited responsibilities should be included in the search results.

  - ### isGlobalOnly

    @Deprecated public boolean isGlobalOnly()
    Deprecated.
    Whether only global responsibilities should be searched.

  - ### isExcludeEmptyGroups

    public boolean isExcludeEmptyGroups()
    Whether responsibilities that are only assigned to empty groups should be excluded.

  - ### getSortField

    public FindResponsibilitiesRequest.SortField getSortField()
    The field that should be used as reference for sorting.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The order of sorting.

  - ### getType

    public FindResponsibilitiesRequest.TypeMatchMode getType()
    Indicates which type of responsibilities should be searched for. Usage is mutually exclusive with the deprecated `globalOnly` flag.

  - ### setResourceIds

    public void setResourceIds(List<UUID> resourceIds)
    The list of IDs of the resources for which the responsibilities should be found.

  - ### setOwnerIds

    public void setOwnerIds(List<UUID> ownerIds)
    The list of IDs of the owners for which the responsibilities should be found.

  - ### setRoleIds

    public void setRoleIds(List<UUID> roleIds)
    The list of IDs of the roles for which the responsibilities should be found.

  - ### setIncludeInherited

    public void setIncludeInherited(boolean includeInherited)
    Whether inherited responsibilities should be included in the search results.

  - ### setGlobalOnly

    @Deprecated public void setGlobalOnly(boolean globalOnly)
    Deprecated.
    Whether only global responsibilities should be searched.

  - ### setExcludeEmptyGroups

    public void setExcludeEmptyGroups(boolean excludeEmptyGroups)
    Whether responsibilities that are only assigned to empty groups should be excluded.

  - ### setSortField

    public void setSortField(FindResponsibilitiesRequest.SortField sortField)
    The field that should be used as reference for sorting.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The order of sorting.

  - ### setType

    public void setType(FindResponsibilitiesRequest.TypeMatchMode type)
    Indicates which type of responsibilities should be searched for. Usage is mutually exclusive with the deprecated `globalOnly` flag.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `PagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `PagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `PagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `PagedRequest`